## percona-galera-3 3.8-3390

=== debian/changelog ===
percona-galera-3 (3.8-3390-0ubuntu6) xenial; urgency=medium

  * Add s390[x] arch to build_config
  * Check and link tests with subunit

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 09 Mar 2016 14:21:57 +0000

percona-galera-3 (3.8-3390-0ubuntu5) wily; urgency=medium

  * Fix build with GCC 5, build with -Wno-error=pedantic.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Aug 2015 00:05:08 +0200

percona-galera-3 (3.8-3390-0ubuntu4) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:55:11 +0000

percona-galera-3 (3.8-3390-0ubuntu3) vivid; urgency=medium

  * Ubuntu upload from Github VCS commit 0ce363a for unreleased Debian
    changes.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 18 Mar 2015 15:56:44 +0000

percona-galera-3 (3.8-3390-1) UNRELEASED; urgency=medium

  [ George Ormond Lorch III ]
  * New upstream version.
  * Removed unnecessary line(S) from .lintian-overrides
  * d/p/fix_garbd_stop.patch: Addresses upstream issue where on package rm,
    an attempt is made to stop garbd even if it not running, resulting in an
    rm error.
  * d/p/fix_arm64_ftb.patch: Add in some architecture details for arm64 in
    chromium/build_config.h to allow basic compilation to proceed through
    macro tests.
  * d/p/fix_i386_ftb.patch: Fixed i386 builds attempting to use intrinsics
    for crc32. i386 should be using manual crc32 calculations and not
    non-existing instructions.

  [ James Page ]
  * Rename package inline with agreed package naming for Galera variants.
  * Bump debhelper compat level to 9.
  * Drop symlink for defaults file, no longer required.
  * Correct path to garb defaults file, refresh existing patches.
  * Enable support for systemd.

  [ Robie Basak ]
  * d/p/fix_non-intel_ftb.patch: fix FTBFS on non-Intel architectures.
  * d/p/gu_rand-struct-holes.patch: correctly initialise gu_rse_t struct
    (LP: #1430874).

 -- George Ormond Lorch III <george.lorch@percona.com>  Mon, 01 Dec 2014 14:35:23 -0700

percona-xtradb-cluster-galera-2.x (2.1-2) unstable; urgency=medium

  * d/p/detect-atomic.patch: Add check to determine whether -latomic is required
    for GCC atomic built-ins. 
  * d/control: Limit to linux based architectures.

 -- James Page <james.page@ubuntu.com>  Wed, 18 Jun 2014 17:41:14 +0100

percona-xtradb-cluster-galera-2.x (2.1-1) unstable; urgency=medium

  * New upstream release.
  * d/install,links: Install galera extension to /usr/lib/galera2,
    symlink to /usr/lib.

 -- James Page <jamespage@debian.org>  Mon, 19 May 2014 10:36:11 +0100

percona-xtradb-cluster-galera-2.x (2.0-1) unstable; urgency=low

  * Initial package (Closes: #734892).

 -- James Page <jamespage@debian.org>  Mon, 10 Feb 2014 13:25:49 +0200
