=== debian/control ===
Source: percona-galera-3
Section: database
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: George Ormond Lorch III <george.lorch@percona.com>,
           Alexey Bychko <alexey.bychko@percona.com>,
           Tomislav Plavcic <tomislav.plavcic@percona.com>
Build-Depends: check,
               debhelper (>= 9~),
               dh-systemd (>= 1.5),
               libboost-dev (>= 1.41),
               libboost-program-options-dev (>= 1.41),
               libssl-dev,
               scons (>= 2)
Standards-Version: 3.9.6
Homepage: http://www.percona.com/software/percona-xtradb-cluster
Vcs-Git: git://github.com/percona/galera.git
Vcs-Browser: http://github.com/percona/galera.git

Package: percona-galera-3
Architecture: any
Breaks: galera-3,
        percona-xtradb-cluster-galera-2.x,
        percona-xtradb-cluster-galera-3.x,
        percona-xtradb-cluster-garbd-2.x,
        percona-xtradb-cluster-garbd-3.x
Replaces: galera-3,
          percona-xtradb-cluster-galera-2.x,
          percona-xtradb-cluster-galera-3.x,
          percona-xtradb-cluster-garbd-2.x,
          percona-xtradb-cluster-garbd-3.x
Provides: galera-3, percona-xtradb-cluster-galera-25
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Galera replication framework for Percona XtraDB Cluster
 Galera is a fast synchronous multimaster wsrep provider (replication engine)
 for transactional databases and similar applications. For more information
 about wsrep API see http://launchpad.net/wsrep. For a description of Galera
 replication engine see http://galeracluster.com.
 .
 This package contains the Galera library/plugin for Percona XtraDB Cluster.

Package: percona-galera-arbitrator-3
Architecture: any
Conflicts: garbd-2, garbd2
Breaks: galera-arbitrator-3, 
        percona-xtradb-cluster-galera-2.x,
        percona-xtradb-cluster-garbd-2.x,
        percona-xtradb-cluster-garbd-3.x
Replaces: galera-arbitrator-3,
          percona-xtradb-cluster-galera-2.x,
          percona-xtradb-cluster-garbd-2.x,
          percona-xtradb-cluster-garbd-3.x
Provides: galera-arbitrator-3
Depends: netcat-openbsd, ${misc:Depends}, ${shlibs:Depends}
Description: Galera arbitrator daemon for Percona XtraDB Cluster
 Galera is a fast synchronous multimaster wsrep provider (replication engine)
 for transactional databases and similar applications. For more information
 about wsrep API see http://launchpad.net/wsrep. For a description of Galera
 replication engine see http://galeracluster.com.
 .
 This package contains the Galera arbitrator daemon (garbd) for
 Percona XtraDB Cluster.

Package: percona-galera-3-dbg
Architecture: any
Section: debug
Depends: percona-galera-3 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for percona-galera-3
 This package contains the debugging symbols for percona-galera-3.

Package: percona-galera-arbitrator-3-dbg
Architecture: any
Section: debug
Depends: percona-galera-arbitrator-3 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for percona-galera-arbitrator-3
 This package contains the debugging symbols for percona-galera-arbitrator-3.
