=== debian/changelog ===
percona-galera-3 (3.19-0ubuntu1) zesty; urgency=medium

  * SECURITY UPDATE: Update to 3.19 to support security updates
    for percona-xtradb-server-5.6 (LP: #1668934).
  * Changes for new upstream release:
    - d/p/add-lsb-begin.patch,fix_arm64_ftb.patch,fix_s390x_ftb.patch,
      gcc6.patch: Dropped, no longer required or included upstream.
    - d/p/*: Refresh.
    - d/control: Add BD on libasio-dev.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Mar 2017 09:46:27 +0000

percona-galera-3 (3.8-3390-0ubuntu11) zesty; urgency=medium

  * debian/patches/fix-unaligned-checksum.patch: avoid unaligned access.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Feb 2017 16:59:00 -0800

percona-galera-3 (3.8-3390-0ubuntu10) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:36:46 +0000

percona-galera-3 (3.8-3390-0ubuntu9) yakkety; urgency=medium

  * Fix ftbfs with gcc-6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Aug 2016 03:05:52 +0100

percona-galera-3 (3.8-3390-0ubuntu8) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:29:00 +0000

percona-galera-3 (3.8-3390-0ubuntu7) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:47:26 +0000
