=== debian/changelog ===
percona-galera-3 (3.21-0ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:55:02 +0000

percona-galera-3 (3.21-0ubuntu1) bionic; urgency=medium

  * New upstream release (LP: #1735691):
    - d/p/*: Refresh.
  * d/rules,control: Force use of gcc-6 for compilation, aligning
    with pxc-5.6.
  * d/copyright: Tidy duplicate License naming.
  * d/control: Drop BD on dh-systemd, version debhelper as needed.
  * d/control: Bumped Standards-Version to 4.1.1:
    - d/copyright: Use https in Format field.
  * d/control: Update Vcs field for Ubuntu.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Dec 2017 12:22:53 +0000
