=== debian/control ===
--- 
+++ 
@@ -7,16 +7,18 @@
            Alexey Bychko <alexey.bychko@percona.com>,
            Tomislav Plavcic <tomislav.plavcic@percona.com>
 Build-Depends: check,
-               debhelper (>= 9~),
-               dh-systemd (>= 1.5),
+               debhelper (>= 9.20160709~),
+               g++-6,
+               gcc-6,
+               libasio-dev,
                libboost-dev (>= 1.41),
                libboost-program-options-dev (>= 1.41),
                libssl-dev,
                scons (>= 2)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: http://www.percona.com/software/percona-xtradb-cluster
-Vcs-Git: git://github.com/percona/galera.git
-Vcs-Browser: http://github.com/percona/galera.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/percona-galera-3
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/percona-galera-3
 
 Package: percona-galera-3
 Architecture: any
@@ -30,8 +32,10 @@
           percona-xtradb-cluster-galera-3.x,
           percona-xtradb-cluster-garbd-2.x,
           percona-xtradb-cluster-garbd-3.x
-Provides: galera-3, percona-xtradb-cluster-galera-25
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: galera-3,
+          percona-xtradb-cluster-galera-25
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Galera replication framework for Percona XtraDB Cluster
  Galera is a fast synchronous multimaster wsrep provider (replication engine)
  for transactional databases and similar applications. For more information
@@ -42,8 +46,9 @@
 
 Package: percona-galera-arbitrator-3
 Architecture: any
-Conflicts: garbd-2, garbd2
-Breaks: galera-arbitrator-3, 
+Conflicts: garbd-2,
+           garbd2
+Breaks: galera-arbitrator-3,
         percona-xtradb-cluster-galera-2.x,
         percona-xtradb-cluster-garbd-2.x,
         percona-xtradb-cluster-garbd-3.x
@@ -52,7 +57,9 @@
           percona-xtradb-cluster-garbd-2.x,
           percona-xtradb-cluster-garbd-3.x
 Provides: galera-arbitrator-3
-Depends: netcat-openbsd, ${misc:Depends}, ${shlibs:Depends}
+Depends: netcat-openbsd,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Galera arbitrator daemon for Percona XtraDB Cluster
  Galera is a fast synchronous multimaster wsrep provider (replication engine)
  for transactional databases and similar applications. For more information
@@ -65,13 +72,15 @@
 Package: percona-galera-3-dbg
 Architecture: any
 Section: debug
-Depends: percona-galera-3 (= ${binary:Version}), ${misc:Depends}
+Depends: percona-galera-3 (= ${binary:Version}),
+         ${misc:Depends}
 Description: debugging symbols for percona-galera-3
  This package contains the debugging symbols for percona-galera-3.
 
 Package: percona-galera-arbitrator-3-dbg
 Architecture: any
 Section: debug
-Depends: percona-galera-arbitrator-3 (= ${binary:Version}), ${misc:Depends}
+Depends: percona-galera-arbitrator-3 (= ${binary:Version}),
+         ${misc:Depends}
 Description: debugging symbols for percona-galera-arbitrator-3
  This package contains the debugging symbols for percona-galera-arbitrator-3.
